=== debian/changelog ===
dahdi-tools (1:2.7.0-1ubuntu1) saucy; urgency=low

  * Merge from debian. Remaining changes:
    - debian/control: Added gawk as dependency for dkms build
    - debian/control: Package dahdi Depends on dahdi-dkms | dahdi-source
    - debian/control: Set ubuntu maintainer    
    - added debian/dahdi.postinst
    - debian/control: Removed Uploaders field.
    - added debian/dahdi.postinst
    - added --error-handler=init_failed to debian/rules
    
 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 25 Aug 2013 12:48:37 +1000

dahdi-tools (1:2.7.0-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release (Closes: #688919)
    - Patch fix_xpp_buildfix removed: merged upstream.
  * Patch fix_xpp_buildfix: The sole (currently) change in the upcoming
    dahdi-tools 2.6.3. A further build fix for gcc 4.8 (Closes: #707391).
  * Enable pinned spans support.

  [ Mark Purcell ] 
  * Fix "FTBFS: astribank_hexload.c:36:27: fatal error: ../autoconfig.h:
    No such file or directory" new upstream release (Closes: #707391)

 -- Mark Purcell <msp@debian.org>  Sun, 16 Jun 2013 16:37:00 +1000

dahdi-tools (1:2.4.1-1ubuntu3) saucy; urgency=low

  * debian/control: Restore Debian VCS/uploader information, as there is no
    need to remove it. Furthermore, the Vcs-Bzr field contained a Launchpad
    branch that doesn't exist.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 23 May 2013 01:37:46 -0400

dahdi-tools (1:2.4.1-1ubuntu2) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 08:29:15 +0100

dahdi-tools (1:2.4.1-1ubuntu1) oneiric; urgency=low

  * Merge from Debian. Remaining changes:
    - Bug Fix: If linux-headers are not installed, don't block, and print
      information for the user.
    - added debian/dahdi.postinst
    - added --error-handler=init_failed to debian/rules
    - Changes from Debian:
      - debian/control: Change Maintainer
      - debian/control: Removed Uploaders field.
      - debian/control: Removed Debian Vcs-Svn entry and replaced with
        ubuntu-voip Vcs-Bzr, to reflect divergence in packages.
      - debian/control: Package dahdi Depends on dahdi-dkms | dahdi-source
  * debian/control: Added gawk as dependency for dkms build (LP: #493304)

 -- Stefan Lesicnik <stefan@lsd.co.za>  Sun, 08 May 2011 14:18:11 +0200

dahdi-tools (1:2.2.1.1-1ubuntu1) natty; urgency=low

  * Merge from Debian testing. Remaining changes:
    - Bug Fix: If linux-headers are not installed, don't block, and print
      information for the user.
      - added debian/dahdi.postinst
      - added --error-handler=init_failed to debian/rules
    - Changes from Debian:
      - debian/control: Change Maintainer
      - debian/control: Removed Uploaders field.
      - debian/control: Removed Debian Vcs-Svn entry and replaced with
        ubuntu-voip Vcs-Bzr, to reflect divergence in packages.
      - debian/control: Package dahdi Depends on  dahdi-dkms | dahdi-source

 -- Stefan Lesicnik <stefan@lsd.co.za>  Thu, 11 Nov 2010 12:43:00 +0200

dahdi-tools (1:2.2.1-0ubuntu2) lucid; urgency=low

  * Bug Fix: If linux-headers are not installed, don't block, and print
     information for the user. (LP: #429510, LP: #474350)
     - added debian/dahdi.postinst
     - added --error-handler=init_failed to debian/rules

 -- Jean-Michel Dault <jmdault@revolutionlinux.com>  Tue, 13 Apr 2010 16:56:27 -0400

dahdi-tools (1:2.2.1-0ubuntu1) lucid; urgency=low

  * Merge from Debian pkg-voip.
    * Changes from Debian:
    - debian/control: Change Maintainer
    - debian/control: Removed Uploaders field.
    - debian/control: Removed Debian Vcs-Svn entry and replaced with
        ubuntu-voip Vcs-Bzr, to reflect divergence in packages.
    - debian/control: Package dahdi Depends on  dahdi-dkms | dahdi-source

  * From Debian pkg-voip:
  [ Tzafrir Cohen ]
  * New upstream release (Closes: #536257, #564381).
  * Patch 'bashism' dropped: merged upstream. 
  * Patch xpp_no_extra_at dropped: merged upstream. 
  * Add an example genconf_parameters.
  * Compat level 7.
  * Bump standars version to 3.8.3.0 (no change needed)
  * Udev rules are now in dahdi-linux.
  * Patches perl_fix_noserial, perl_fix_transportdir: Fixes for some
    minor perl issues.
  * Add the missing ${misc:Depends}, as per lintian. 
  * Patch astribank_allow_ignoreend: an extra missing patch from upstream. 
  * Patches init_unload_modules and init_unload_oslec: also unload OSLEC
    when unloading all modules.

 -- Jean-Michel Dault <jmdault@revolutionlinux.com>  Tue, 16 Feb 2010 13:44:09 -0500
