=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/\~rc/; \
	http://downloads.asterisk.org/pub/telephony/dahdi-tools/releases/dahdi-tools-(.*)\.tar\.gz\
	debian svn-upgrade
