## dahdi-tools 2.7.0.1

=== debian/changelog ===
dahdi-tools (1:2.7.0.1-1) unstable; urgency=low

  * New upstream release

  [ Tzafrir Cohen ]
  * Remove HTMLed man pages (Closes: #714705).
  * Upstream init script will no longer barf if no DAHDI modules on system
    (Closes: #706046).
  * Only build on Linux. At least until someone packages dahdi-kfreebsd.
  * Use upstream's udev rules.
  * Use root:comm rather than asterisk:asterisk in udev rules.
  * hotplug support:
    - Add hotplug patches (an experimental git branch) - fixes to scriptary.
    - Remove the init script.

  [ Mark Purcell ]
  * Build-Depends: dahdi-source (>= 1:2.7)
  * Update Vcs_Browser - fixes vcs-field-bitrotted
  * Add dh $@ --with autotools_dev - fixes outdated-autotools-helper-file
  * Update Vcs_Svn - fixes vcs-field-not-canonical
  * Update Standards-Version - fixes ancient-standards-version

 -- Mark Purcell <msp@debian.org>  Sat, 12 Oct 2013 15:06:25 +1100
