=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 URL := http://downloads.asterisk.org/pub/telephony/$(PACKAGE_SRC)/releases/$(PACKAGE_SRC)-$(UPVERSION).tar.gz
 
 %:
-	dh $@
+	dh $@ --wth autotools_dev
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-pinned
@@ -30,15 +30,12 @@
 override_dh_auto_build:
 	$(MAKE) programs docs
 	# FIXME: xpp/README.Astribank.html
+	cp dahdi.rules debian/dahdi.udev
+
 
 override_dh_auto_install:
-	# Without this dahdi.init does not get copied:
-	mkdir -p $(CURDIR)/debian/tmp/etc/init.d
 	# also run the 'config' target, in addition to the 'install' target:
 	dh_auto_install -- config
-
-override_dh_installinit:
-	dh_installinit --onlyscripts -p dahdi --error-handler=init_failed
 
 print-version:
 	@@echo "Debian version:          $(DEBVERSION)"
@@ -50,3 +47,4 @@
 	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
 	@@echo Downloading $(UPFILENAME) from $(URL) ...
 	@@wget  -nv -T10 -t3 --verbose -O ../tarballs/$(FILENAME) $(URL)
+
