## dahdi-tools 2.10.0

=== debian/changelog ===
dahdi-tools (1:2.10.0-1) unstable; urgency=low

  * New upstream release candidate:
    - Init script no longer exists if no system.conf (Closes: #567072).
    - hotplug/* patches removed (a better version included upstream).
    - example_scriptlet removed: merged upstream.
  * Don't add spans automatically in Asterisk (it's the job of asterisk).
  * Also depend on usbutils: xpp_fxloader uses lsusb.
  * xpp_revert_clear_halt.patch: fixes a regression since 2.9.2.

 -- Tzafrir Cohen <tzafrir@debian.org>  Tue, 19 Aug 2014 08:56:07 +0300
