=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 Package: dahdi
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, procps, fxload, dahdi-linux
+Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, procps, fxload, dahdi-linux, usbutils
 Conflicts: zaptel
 Replaces: zaptel
 Description: utilities for using the DAHDI kernel modules
