## dahdi-tools 2.10.0.1

=== debian/changelog ===
dahdi-tools (1:2.10.0.1-1ubuntu1) vivid; urgency=low

  * Merge from Debian. Remaining changes:
    - debian/control: Depend on (dahdi-dkms | dahdi-source) and gawk
  * Dropped changes:
    - debian/dahdi.postinst: Upstream init script does not fail if no
      dahdi modules are present, so no use for the error handler in the
      postinst file.
    - debian/rules: For the same reason no need to set an error handler
      in the rules file.

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 10 Dec 2014 15:23:10 +0100

dahdi-tools (1:2.10.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #765377).
    - xpp_revert_clear_halt.patch merged upstream.
  * Compat level 9.
  * debian-cflags.patch: some cases where build flags were not passed 
  * Multi-arch headers.

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 26 Oct 2014 20:46:32 +0200
