=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dahdi-tools
 Section: comm
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Tzafrir Cohen <tzafrir@debian.org>, Mark Purcell <msp@debian.org>
 # groff, man-db and asciidoc are required for generating documentation
 Build-Depends: debhelper (>= 8), autotools-dev,
@@ -13,7 +14,10 @@
 
 Package: dahdi
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, procps, fxload, dahdi-linux, usbutils
+Multi-Arch: foreign
+#Jmdault 20090601: the init scripts needs the kernel drivers, so we require
+#either the dkms module (preferred) or the source pkg (with module-assistant)
+Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, procps, fxload, dahdi-linux, usbutils, dahdi-dkms | dahdi-source, gawk
 Conflicts: zaptel
 Replaces: zaptel
 Description: utilities for using the DAHDI kernel modules
@@ -27,6 +31,7 @@
 Package: libtonezone2.0
 Section: libs
 Architecture: linux-any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: tonezone library (runtime)
  A library for generating tones to be sent through the DAHDI telephony
@@ -37,6 +42,7 @@
 Package: libtonezone-dev
 Section: libdevel
 Architecture: linux-any
+Multi-Arch: same
 Depends: libtonezone2.0 (= ${binary:Version}), ${misc:Depends}
 Description: tonezone library (development)
  A library for generating tones to be sent through the DAHDI telephony
