## dahdi-tools 2.10.2

=== Makefile ===
--- 
+++ 
@@ -60,6 +60,8 @@
 GENCONF_FILE	= /etc/dahdi/genconf_parameters
 MODPROBE_FILE	= /etc/modprobe.d/dahdi.conf
 BLACKLIST_FILE	= /etc/modprobe.d/dahdi.blacklist.conf
+BASH_COMP_DIR	= /etc/bash_completion.d
+BASH_COMP_FILE	= $(BASH_COMP_DIR)/dahdi
 
 NETSCR_DIR	:= $(firstword $(wildcard $(DESTDIR)/etc/sysconfig/network-scripts ))
 ifneq (,$(NETSCR_DIR))
@@ -67,13 +69,7 @@
   COPY_NETSCR	:= install -D ifup-hdlc $(NETSCR_TARGET)
 endif
 
-ifneq ($(wildcard .version),)
-  TOOLSVERSION:=$(shell cat .version)
-else
-ifneq ($(wildcard .svn),)
-  TOOLSVERSION=$(shell build_tools/make_version . dahdi/tools)
-endif
-endif
+TOOLSVERSION=$(shell build_tools/make_version . dahdi/tools)
 
 LTZ_A:=libtonezone.a
 LTZ_A_OBJS:=zonedata.o tonezone.o version.o
@@ -91,6 +87,7 @@
 DATA_DIR:=${datadir}/dahdi
 CONFIG_DIR:=$(sysconfdir)/dahdi
 CONFIG_FILE:=$(CONFIG_DIR)/system.conf
+UDEVRULES_DIR:=$(sysconfdir)/udev/rules.d
 
 # Utilities we build with a standard build procedure:
 UTILS		= dahdi_tool dahdi_test dahdi_monitor dahdi_speed sethdlc dahdi_cfg \
@@ -108,12 +105,23 @@
 ifeq	(1,$(PBX_HDLC))
 	BINS	+= sethdlc
 endif
-MAN_PAGES:=$(wildcard $(BINS:%=doc/%.8))
-
-PINNED_DATA_SCRIPTS:=dahdi_cfg_device_args handle_device \
-	span_assignments span_types
-PINNED_UTILS:=dahdi_map
-PINNED_CONF:=pinned-spans.conf spantype.conf
+ASSIGNED_DATA_SCRIPTS:=\
+	dahdi_handle_device	\
+	dahdi_span_config	\
+	dahdi_auto_assign_compat	\
+	span_config.d/10-dahdi-cfg	\
+	span_config.d/20-fxotune	\
+	span_config.d/50-asterisk	\
+	handle_device.d/10-span-types	\
+	handle_device.d/20-span-assignments
+
+ASSIGNED_UTILS:=dahdi_span_assignments dahdi_span_types \
+	dahdi_waitfor_span_assignments
+ASSIGNED_CONF:=assigned-spans.conf.sample span-types.conf.sample
+
+MAN_PAGES:= \
+	$(wildcard $(BINS:%=doc/%.8)) \
+	$(wildcard $(ASSIGNED_UTILS:%=doc/%.8))
 
 TEST_BINS:=patgen pattest patlooptest hdlcstress hdlctest hdlcgen hdlcverify timertest dahdi_maint
 # All the man pages. Not just installed ones:
@@ -172,7 +180,7 @@
 	$(CC) $(CFLAGS) -shared -Wl,-soname,$(LTZ_SO).$(LTZ_SO_MAJOR_VER).$(LTZ_SO_MINOR_VER) -o $@ $^ -lm
 
 dahdi_cfg: $(LTZ_A)
-dahdi_cfg: LIBS+=-lm
+dahdi_cfg: LIBS+=-lm -lpthread
 dahdi_pcap:
 	$(CC) $(CFLAGS) dahdi_pcap.c -lpcap -o $@ $<
 	
@@ -198,13 +206,14 @@
 	cp $< $@
 
 README.html: README system.conf.asciidoc init.conf.asciidoc tonezones.txt \
-  UPGRADE.txt genconf_parameters.asciidoc
-	$(ASCIIDOC) -n -a toc -a toclevels=3 $<
+  UPGRADE.txt genconf_parameters.asciidoc assigned-spans.conf.asciidoc \
+  span-types.conf.asciidoc
+	$(ASCIIDOC) -n -a toc -a toclevels=4 $<
 
 README.Astribank.html: xpp/README.Astribank
 	$(ASCIIDOC) -o $@ -n -a toc -a toclevels=4 $<
 
-# on Debian: this requires the full groof, not just groff-base.
+# on Debian: this requires the full groff, not just groff-base.
 %.8.html: %.8
 	man -Thtml $^ >$@
 
@@ -233,12 +242,12 @@
 	$(INSTALL) -d $(DESTDIR)$(CONFIG_DIR)
 	$(INSTALL) -m 644 system.conf.sample $(DESTDIR)$(CONFIG_FILE)
 endif
-ifeq ($(DAHDI_PINNED),yes)
 	install -d $(DESTDIR)$(DATA_DIR)
-	install $(PINNED_DATA_SCRIPTS) $(DESTDIR)$(DATA_DIR)/
-	install $(PINNED_UTILS) $(DESTDIR)/$(BIN_DIR)/
-	install -m 644 $(PINNED_CONF) $(DESTDIR)/$(CONFIG_DIR)/
-endif
+	tar cf - -C hotplug $(ASSIGNED_DATA_SCRIPTS) | tar xf - -C $(DESTDIR)$(DATA_DIR)/
+	install $(ASSIGNED_UTILS) $(DESTDIR)/$(BIN_DIR)/
+	install -m 644 $(ASSIGNED_CONF) $(DESTDIR)/$(CONFIG_DIR)/
+	install -d $(DESTDIR)$(BASH_COMP_DIR)
+	install -m 644 dahdi-bash-completion $(DESTDIR)$(BASH_COMP_FILE)
 
 install-libs: libs
 	$(INSTALL) -d -m 755 $(DESTDIR)/$(LIB_DIR)
@@ -301,6 +310,8 @@
 ifeq (,$(wildcard $(DESTDIR)$(BLACKLIST_FILE)))
 	$(INSTALL) -D -m 644 blacklist.sample $(DESTDIR)$(BLACKLIST_FILE)
 endif
+	$(INSTALL) -d $(DESTDIR)$(UDEVRULES_DIR)
+	$(INSTALL) -D -m 644 dahdi.rules $(DESTDIR)$(UDEVRULES_DIR)/
 ifneq (,$(COPY_NETSCR))
 	$(COPY_NETSCR)
 endif
@@ -334,6 +345,9 @@
 	else \
 		echo "Not under version control";  \
 	fi
+
+dist:
+	@./build_tools/make_dist "dahdi-tools" "$(TOOLSVERSION)"
 
 clean:
 	rm -f $(BINS) $(TEST_BINS)
@@ -367,7 +381,7 @@
 	@echo "****"
 	@exit 1
 
-.PHONY: distclean dist-clean clean all install programs tests devel data config update install-programs install-libs install-utils-subdirs utils-subdirs prereq
+.PHONY: distclean dist-clean clean all install programs tests devel data config update install-programs install-libs install-utils-subdirs utils-subdirs prereq dist
 
 FORCE:
