=== debian/changelog ===
dahdi-tools (1:2.10.2-2ubuntu1) xenial; urgency=low

  * Merge from Debian testing. Remaining changes:
    - debian/control: Depend on (dahdi-dkms | dahdi-source) and gawk

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 17 Dec 2015 15:30:11 +0100

dahdi-tools (1:2.10.2-2) unstable; urgency=medium

  * gcc5.patch (Closes: #777829).

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 28 Jun 2015 23:08:21 +0300

dahdi-tools (1:2.10.2-1) unstable; urgency=medium

  * New upstream release:
    - Removed bashism from udev hook script (Closes: #772229).
    - Builds fine with GCC 5 (Closes: #777829).
  * Build-depend on debhelper 9.

 -- Tzafrir Cohen <tzafrir@debian.org>  Fri, 26 Jun 2015 16:06:56 +0300
