=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Tzafrir Cohen <tzafrir@debian.org>, Mark Purcell <msp@debian.org>
 # groff, man-db and asciidoc are required for generating documentation
-Build-Depends: debhelper (>= 8), autotools-dev,
+Build-Depends: debhelper (>= 9), autotools-dev,
  dahdi-source (>= 1:2.7), libnewt-dev, bzip2, libusb-dev, asciidoc, groff, man-db
 Standards-Version: 3.9.4
 Homepage: http://www.asterisk.org/
