=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,7 @@
 override_dh_auto_install:
 	# also run the 'config' target, in addition to the 'install' target:
 	dh_auto_install -- config
+	rm $(CURDIR)/debian/tmp/usr/share/dahdi/span_config.d/50-asterisk
 
 print-version:
 	@@echo "Debian version:          $(DEBVERSION)"
