## dahdi-tools 2.11.1

=== debian/changelog ===
dahdi-tools (1:2.11.1-3ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - debian/control: Depend on (dahdi-dkms | dahdi-source) and gawk

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 01 Nov 2017 18:54:11 +0530

dahdi-tools (1:2.11.1-3) unstable; urgency=medium

  * Team upload.

  [ Tzafrir Cohen ]
  * Allow building with just asciidoc-base
  * add udevadm_path.patch (Closes: #852561)
  * Add dracut.patch: exclude xpp from dracut initramfs
  * Compat level 10
  * watch file: copy gpg sig check from dahdi-linux

 -- Bernhard Schmidt <berni@debian.org>  Wed, 11 Oct 2017 08:13:56 +0200

dahdi-tools (1:2.11.1-2ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Depend on (dahdi-dkms | dahdi-source) and gawk

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 08 Jan 2017 16:38:46 +0530

dahdi-tools (1:2.11.1-2) unstable; urgency=medium

  * VCS: we use git
  * include xpp in udev rules
  * Patch no_xtalk_send: don't install xtalk_send
  * Standards version 3.9.8

 -- Tzafrir Cohen <tzafrir@debian.org>  Tue, 15 Nov 2016 15:43:17 +0200

dahdi-tools (1:2.11.1-1) unstable; urgency=medium

  * New upstream release:
    - Support for libusb 1.0
    - Run asciidoc with TZ=UTC (Closes: #795977).
    - Builds with GCC-6 (Closes: #811932).
    - Drop patches: cflags, gcc5 (merged upstream).
  * Switch to libusb-1.0 (Closes: #810404).
  * Force the SONAME of libtonezone to be 2.0.
  * generate configure at build time.
  * Ignore generated git files.
  * fall back to running 'clean' from Makefile.legacy.
  * clean: some xpp/*.html files for case of no Makefile.
  * Fix cleaning of generated autotools files.

 -- Tzafrir Cohen <tzafrir@debian.org>  Tue, 05 Jul 2016 17:23:31 +0200
