=== debian/control ===
--- 
+++ 
@@ -5,12 +5,23 @@
 XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Tzafrir Cohen <tzafrir@debian.org>, Mark Purcell <msp@debian.org>
 # groff, man-db and asciidoc are required for generating documentation
-Build-Depends: debhelper (>= 9), autotools-dev,
- dahdi-source (>= 1:2.7), libnewt-dev, bzip2, libusb-dev, asciidoc, groff, man-db
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 10),
+ autoconf,
+ automake,
+ cpio,
+ dh-autoreconf,
+ pkg-config,
+ dahdi-source (>= 1:2.7),
+ libnewt-dev,
+ bzip2,
+ libusb-1.0-0-dev,
+ asciidoc-base | asciidoc,
+ groff,
+ man-db,
+Standards-Version: 3.9.8
 Homepage: http://www.asterisk.org/
-Vcs-Svn: svn://anonscm.debian.org/pkg-voip/dahdi-tools/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/dahdi-tools/
+Vcs-Git: https://anonscm.debian.org/git/pkg-voip/dahdi-tools.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/dahdi-tools.git
 
 Package: dahdi
 Architecture: linux-any
